## Tech Stack

### Technologies:
- **`Python`** is high-level programming language. Our team will use it for the back-end, and the tools listed here are
- **`aiogram`** is a modern, fully asynchonous framework for the Telegram Bot API. It's needed to implement the Telegram Bot back-end.
- PostgreSQL is a relational database. It's needed to store the products availability in the warehouse.
- **`pandas`** is a Python library for operating with DataFrames effectively. It's needed to properly store and manipulate the data from the PostgreSQL in runtime.
- **LangChain** and **LangGraph** are frameworks allowing to build apps using LLMs. Thery are needed to process the user prompt, parse the products, and merge the requirements in a commercial offer.
- **`Satu.kz` API** is needed to get the information about the products.
- **`exchangeratesapi.io` API** is needed to get the recent currency echange.
- **`requests`** is a Python library for loading data from the Internet. It's needed to operate with the Satu.kz API.
- **`XlsxWriter`** is a Python library for creating Excel files. It's needed to form the final commercial offer as an Excel file.
- **`pdfkit`** is a Python library for converting Excel files to PDF. It's needed to preview the commercial offer for the user communicating with the bot.

### Team Members:

- **Aniia**: Python 3/5, others 1/5
- **Samat**: Python 5/5, requests 5/5, aiogram 3/5, PostgreSQL 3/5, pandas 3/5, others 1/5
- **Ravil**: Python 5/5, requests 5/5, pandas 5/5, aiogram 4/5, PostgreSQL 4/5, LangChain and LangGraph 3/5, others 1/5.
- **Kamil**: Python 5/5, requests 5/5, pandas 4/5, aiogram 4/5, PostgreSQL 3/5, XlsxWriter 3/5, pdfkit 3/5, others 1/5.

