### Разметка полей в базе данных

1. Какие поля необходимы хранить для одного товара?

MongoDB:

```
{
    product:{
        sku:
        name:
        cost:
        currency:
        measure_unit:
        pack_ratio:   #пока всегда пустое
        quantity_in_stock:
    }
}
```

Структура с mocSATU (minimalist_mode информации о товаре)

```
{
    product:{
        sku:
        name:
        price:
        currency:
        measure_unit:
        presence:
        group:{
            name:
        }
        quantity_in_stock:
    }
}
```

Поля для составления КО. 

```
pdf(pd.DataFrame, )

dataframe = {
    'index':
    'name':
    'sku': 
    'str_cost':
    'measure_unit':
    'quantity':
    'currency': 
    'str_sum_cost':
    'cost':
    'sum_cost': 
    'quantity_in_stock': 
}
```

Поля из dataframe в pdf-документе:

```
pdf = {
    'index': '№'
    'name': 'Наименование'
    'sku': 'Произво-ль/ Артикул'
    'str_cost': 'Цена за ед. с учетом НДС.'
    'measure_unit': 'ед изм'
    'quantity': 'К-во'
    'str_sum_cost': 'Сумма с учетом НДС.'
    'pack_ratio': 'Кратность упаковки' -  зависит от поставщика (текущий генератор не учитывает)
    'quantity_in_stock': 'Наличие'
    'delivery_time': 'Срок поставки' (текущий генератор не учитывает)

    <----не входят в генертор---->
    'currency': 
    'cost':
    'sum_cost': 
}
```
